.All-Todo
{
    display: flex;
    align-items: center;
    background-color: white;
    margin: 15px 0px;
    border-radius: 5px;
    padding: 10px;
    width: 150%;
    position: relative;
    color: black;
}
.group {
    display: flex;
    align-items: center;
    margin-right: 10px;
}
.All-Todo p
{
    margin-right: 10px;
}
.All-Todo .checkbox-container 
{
    margin-right: 10px;
}
.All-Todo input[type="checkbox"] {
    width: 25px; 
    height: 25px;
    margin: 5px 0px 0px 0px;
}
.All-Todo i:hover
{
    cursor: pointer;
}
.All-Todo i.E {
    background: linear-gradient(to right, #ee0979, #ff6a00);
    border: none;
    padding: 8px; 
    border-radius: 5px;
    color: white;
    cursor: pointer;
    margin: 5px 0px 0px auto;
}
.All-Todo i.X {
    background: linear-gradient(to right, #ee0979, #ff6a00);
    border: none;
    padding: 8px; 
    border-radius: 5px;
    color: white;
    cursor: pointer;
    margin: 5px 0px 0px 5px;
}
.All-Todo input[type="checkbox"]:checked + label::before {
    content: '';
    position: absolute;
    width: 110%;
    height: 3px; 
    background-color: black; 
    top: 50%;
    left: -5%;
    transform: translateY(-50%);
}
.mini-screen {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border: 1px solid #ccc;
    z-index: 9999;
}
.All-Todo button {
    margin-left: 10px;  /* Adjust the margin as needed */
}